/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The PetDto model module.
 * @module model/PetDto
 * @version v0
 */
class PetDto {
    /**
     * Constructs a new <code>PetDto</code>.
     * @alias module:model/PetDto
     * @param name {String} 
     * @param petType {module:model/PetDto.PetTypeEnum} 
     */
    constructor(name, petType) { 
        
        PetDto.initialize(this, name, petType);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, name, petType) { 
        obj['name'] = name;
        obj['petType'] = petType;
    }

    /**
     * Constructs a <code>PetDto</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PetDto} obj Optional instance to populate.
     * @return {module:model/PetDto} The populated <code>PetDto</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PetDto();

            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('petType')) {
                obj['petType'] = ApiClient.convertToType(data['petType'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} name
 */
PetDto.prototype['name'] = undefined;

/**
 * @member {module:model/PetDto.PetTypeEnum} petType
 */
PetDto.prototype['petType'] = undefined;





/**
 * Allowed values for the <code>petType</code> property.
 * @enum {String}
 * @readonly
 */
PetDto['PetTypeEnum'] = {

    /**
     * value: "DOG"
     * @const
     */
    "DOG": "DOG",

    /**
     * value: "CAT"
     * @const
     */
    "CAT": "CAT",

    /**
     * value: "FISH"
     * @const
     */
    "FISH": "FISH",

    /**
     * value: "SOMETHING_STUPID"
     * @const
     */
    "SOMETHING_STUPID": "SOMETHING_STUPID"
};



export default PetDto;

